Subject: bug#50934: 28.0.60; paren.el should be preloaded

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Oct 2021 15:55:33 +0300

> Date: Fri, 01 Oct 2021 13:49:31 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> Since show-paren-mode is now ON by default, whenever Emacs starts it
> now loads paren.elc? during startup.  So I think we should now preload
> paren.el.

One consequence of paren.el's not being preloaded is that in a
native-compilation build, Emacs begins compiling paren.el as soon as
it starts, and that causes it also to compile about a dozen other
files that comp.el requires.  Should we perhaps native-compile all the
prerequisites of comp.el as part of COMPILE_FIRST when we build Emacs?